- hosts: "{{ [ main_server ] + mds_servers | map(attribute='ip') | list }}"
  any_errors_fatal: true
  remote_user: root

  tasks:
  - ansible.builtin.include_vars:
      dir: global_vars
      name: globals

  - ansible.builtin.setup:

  - name: main server checks and data extraction
    block:

    - ansible.builtin.import_role:
        name: swarm
      check_mode: yes
      vars:
        swarm_action: init

    run_once: yes
    delegate_to: "{{ main_server }}"


  - name: MDS installation
    block:

    - ansible.builtin.import_role:
        name: checks

    - ansible.builtin.import_role:
        name: prerequisities

    - ansible.builtin.import_role:
        name: xivo_repo

    - ansible.builtin.import_role:
        name: pgdg_repo

    - ansible.builtin.import_role:
        name: docker_repo

    - ansible.builtin.import_role:
        name: install_docker

#??
#    - ansible.builtin.import_role:
#        name: install_xivo

    - ansible.builtin.import_role:
        name: swarm
      vars:
        swarm_action: join
        swarm_init_node_addr: "{{ main_server }}"
        swarm_join_node_addr: "{{ ansible_host }}"
        swarm_node_manager: false
     
    when: ansible_host != main_server


  - name: add docker label to MDS server
    ansible.builtin.command: docker node update --label-add mds={{item.name}} {{hostvars[item.ip].ansible_fqdn}}
    delegate_to: "{{ main_server }}"
    run_once: yes
    delegate_facts: yes
    loop: "{{ mds_servers }}"

  - name: mds specific actions
    ansible.builtin.import_role:
      name: mds
